%global apiversion 0.1

Summary: A library for import of AbiWord files
Name: libabw
Version: 0.1.3
Release: 3%{?dist}
License: MPL-2.0
URL: https://wiki.documentfoundation.org/DLP/Libraries/libabw
Source: http://dev-www.libreoffice.org/src/%{name}/%{name}-%{version}.tar.xz

BuildRequires: make gcc-c++
BuildRequires: boost-devel gperf perl-interpreter
BuildRequires: doxygen help2man
BuildRequires: pkgconfig(librevenge-0.0) pkgconfig(librevenge-generators-0.0)
BuildRequires: pkgconfig(librevenge-stream-0.0) pkgconfig(libxml-2.0) pkgconfig(zlib)

%description
This package provides a library for import of AbiWord files.

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
This package provides libraries and header files for developing applications that use %{name}.

%package tools
Summary: Tools to transform AbiWord files into other formats
Requires: %{name} = %{version}-%{release}

%description tools
This package provides tools to transform AbiWord files into other formats. Currently 
supported: XHTML, raw, text.

%prep
%autosetup -p1

%build
%configure --disable-silent-rules --disable-static
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
%make_build

%install
%make_install
rm -f %{buildroot}/%{_libdir}/*.la
rm -rf %{buildroot}/%{_docdir}/%{name}

 export LD_LIBRARY_PATH=%{buildroot}%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
 for tool in abw2html abw2raw abw2text; do
     help2man -N -S '%{name} %{version}' -o ${tool}.1 %{buildroot}%{_bindir}/${tool}
 done
install -m 0755 -d %{buildroot}/%{_mandir}/man1
install -m 0644 abw2*.1 %{buildroot}/%{_mandir}/man1

%files
%license COPYING.MPL 
%doc CREDITS README
%{_libdir}/%{name}-%{apiversion}.so.*

%files devel
%license COPYING.MPL
%doc ChangeLog docs/doxygen/html
%{_includedir}/%{name}-%{apiversion}
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc

%files tools
%{_bindir}/abw2raw
%{_bindir}/abw2text
%{_bindir}/abw2html
%{_mandir}/man1/abw2raw.1*
%{_mandir}/man1/abw2text.1*
%{_mandir}/man1/abw2html.1*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.3-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 6 2022 Wang Guodong <gordonwwang@tencent.com> - 0.1.3-1
- package init.
